| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMeshDrawCallback Struct Reference
[Mesh support, Mesh support]

Set a callback which is called just before the object is drawn. More...

`#include <iengine/mesh.h>`

Inheritance diagram for iMeshDrawCallback:

[legend]
List of all members.

## Public Member Functions
virtual bool | BeforeDrawing (iMeshWrapper *spr, iRenderView *rview)=0
| Before drawing.

## Detailed Description

Set a callback which is called just before the object is drawn.

This is useful to do some expensive computations which only need to be done on a visible object. Note that this function will be called even if the object is not visible. In general it is called if there is a likely probability that the object is visible (i.e. it is in the same sector as the camera for example).

This callback is used by:

- iMeshWrapper

Definition at line 167 of file mesh.h.

## Member Function Documentation

virtual bool iMeshDrawCallback::BeforeDrawing | ( | iMeshWrapper * | spr,
|  | iRenderView * | rview |
| ) |  |  | `[pure virtual]`

Before drawing.

It is safe to delete this callback in this function.

The documentation for this struct was generated from the following file:

- iengine/mesh.h